Name:           python-release-new
Version:        0.17.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        logilab's tool to make easy releases on our forge with mercurial

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://forge.extranet.logilab.fr/open-source/release-new
Source:         %{pypi_source release_new}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'release-new' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-release-new
Summary:        %{summary}

%description -n python3-release-new %_description


%prep
%autosetup -p1 -n release_new-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-release-new -f %{pyproject_files}


%changelog
%autochangelog